#Copyright 2010 Alexander Savi
#
#This file is part of the Inductive Causation scripts.
#
#The Inductive Causation scripts are free software: you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation, either version 3 of the License, or
#(at your option) any later version.
#
#The Inductive Causation scripts are distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with the Inductive Causation scripts.  If not, see <http://www.gnu.org/licenses/>.

icCov <- function(data) {
	nTime <- nrow(data)
	nVar <- ncol(data)
	k <- 2

	m <- cov(data)
	
	attr(m, "type") <- "time series"
	attr(m, "original_rendering") <- "raw"
	attr(m, "current_rendering") <- "covariance"
	attr(m, "no._time_points") <- nTime
	attr(m, "no._nodes") <- nVar
	attr(m, "max._no._edges") <- choose(nVar, k)

	return(m)
}